array_reset(3)

NAME
array_reset - deallocate array

SYNTAX
#include <libowfat/array.h>

void array_reset(array* x);

  array x;
  array_reset(&x);

DESCRIPTION
If x is allocated, array_reset frees the region that x points to, and switches x to being unallocated.

If x x has failed, array_reset simply switches x to being unallocated.

If x x is unallocated, array_reset has no effect.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_trunc(3), array_truncate(3)